<div class="submit-form">
    <div *ngIf="!submitted">
        <div>
            <div class="flexContainer flexContainer--col">
              <label class="label label--no-margin-top">Nom de la plante</label>
              <input nz-input [(ngModel)]="plante.nom" required />
            </div>
            <div class="flexContainer flexContainer--col" *ngIf="!isModification">
              <label class="label label--no-margin-top">Type</label>
              <select [(ngModel)]="plante.type" class="form-control col-md-2">
                <option *ngFor="let type of listType" [ngValue]="type.valueOf()">
                  {{ type.valueOf() }}</option>
              </select>
            </div>
            <div class="flexContainer flexContainer--col" *ngIf="isModification">
                <label class="label label--no-margin-top">Etat</label>
                <select [(ngModel)]="plante.etat" class="form-control col-md-2" (click)="changeEtat()">
                  <option *ngFor="let etat of listEtat" [ngValue]="etat.valueOf()">
                    {{ etat.valueOf() }}</option>
                </select>
              </div>
            <div class="flexContainer flexContainer--col">
              <label class="label label--no-margin-top">Description</label>
              <input nz-input [(ngModel)]="plante.description" />
            </div>
        </div>
        <br>
        <div>
        <button (click)="savePlante()" *ngIf="!isModification" class="btn btn-success">Ajouter</button>
        <button (click)="updatePlante()" *ngIf="isModification" class="btn btn-success">Modifier</button>
        <button (click)="deletePlante()" *ngIf="isModification" class="btn btn-success">Supprimer</button>
    </div>
    </div>
    <div *ngIf="submitted">
        <h3> Enregistré avec succès</h3>
        <button class="btn btn-success" (click)="nouvellePlante()">Ajouter une autre nouvelle plante</button>
    </div>

</div>